For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Reliance Quote
      • GETGet KYC Reliance Status
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC Reliance

Get KYC Reliance Quote

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/lookup/quotes
GET
/api/v2/lookup/quotes
$curl -G https://api-gateway-stg.transak.com/api/v2/lookup/quotes \
> -d apiKey= \
> -d fiatCurrency= \
> -d cryptoCurrency= \
> -d isBuyOrSell=BUY \
> -d network= \
> -d paymentMethod= \
> -d fiatAmount=40 \
> -d cryptoAmount=0 \
> -d kycShareTokenProvider= \
> -d kycShareToken= \
> -d partnerCustomerId= \
> -d partnerOrderId=
1{
2 "data": {
3 "feeBreakdown": [
4 {
5 "name": "Transak fee",
6 "value": 1,
7 "id": "transak_fee"
8 },
9 {
10 "name": "Network/Exchange fee",
11 "value": 0,
12 "id": "network_fee"
13 }
14 ],
15 "quoteId": "ea57d316-098a-4ead-8300-266a6d5bed5e",
16 "conversionPrice": 1.1272686386059025,
17 "slippage": 0.53,
18 "fiatCurrency": "EUR",
19 "cryptoCurrency": "USDC",
20 "paymentMethod": "sepa_bank_transfer",
21 "fiatAmount": 50,
22 "cryptoAmount": 55.24,
23 "isBuyOrSell": "BUY",
24 "network": "ethereum",
25 "networkId": "",
26 "feeDecimal": 0.02,
27 "totalFee": 1,
28 "nonce": 1747890325
29 }
30}
The **Get Quote** is a **public API call** that allows you to fetch a **temporary price quote** for a cryptocurrency transaction based on the selected **fiat currency, cryptocurrency, payment method, and transaction amount**. Since cryptocurrency prices are **volatile**, the returned quote is refreshed **every minute** to reflect the latest market price. After fetching the **supported cryptocurrencies and fiat currencies**, you must call getQuote to get the latest exchange rate. This quote is **critical** for KYC verification and order placement: **KYC Process:** - The **quote ID** must be passed when calling `Get KYC Requirement` . - Based on the **order amount**, the user may be required to complete different KYC tiers (**Simple KYC, Standard KYC**). **Order Placement:** - The **quote ID** is also required when calling `createOrder()` - At the time of payment settlement, Transak sends the **exact amount of cryptocurrency** based on the latest exchange rate at that moment. Thus, `getQuote` plays a **vital role** in the **entire order flow**, from **KYC verification to order execution**. Additional Postman request: Get KYC Reliance Quote
Was this page helpful?
Previous

Upload Proof Document

Next

Get KYC Reliance Status

Built with

The Get Quote is a public API call that allows you to fetch a temporary price quote for a cryptocurrency transaction based on the selected fiat currency, cryptocurrency, payment method, and transaction amount. Since cryptocurrency prices are volatile, the returned quote is refreshed every minute to reflect the latest market price.

After fetching the supported cryptocurrencies and fiat currencies, you must call getQuote to get the latest exchange rate. This quote is critical for KYC verification and order placement:

KYC Process:

  • The quote ID must be passed when calling Get KYC Requirement .
  • Based on the order amount, the user may be required to complete different KYC tiers (Simple KYC, Standard KYC).

Order Placement:

  • The quote ID is also required when calling createOrder()
  • At the time of payment settlement, Transak sends the exact amount of cryptocurrency based on the latest exchange rate at that moment.

Thus, getQuote plays a vital role in the entire order flow, from KYC verification to order execution.

Additional Postman request: Get KYC Reliance Quote

Query parameters

apiKeystringRequired
Your API Key from Transak Dashboard
fiatCurrencystringRequired

Supported fiat currency symbol from /fiat/public/v1/currencies/fiat-currencies

cryptoCurrencystringRequired

Supported crypto currency symbol from /cryptocoverage/api/v1/public/crypto-currencies

isBuyOrSellstringRequiredDefaults to BUY
Value should be 'BUY'
networkstringRequired

Supported crypto currency network from /cryptocoverage/api/v1/public/crypto-currencies

paymentMethodstringRequired

Supported payment method from /fiat/public/v1/currencies/fiat-currencies

fiatAmountdoubleRequired
Amount in fiat currency. For BUY, pass at least one of fiatAmount or cryptoAmount.
cryptoAmountdoubleRequired
Amount in crypto currency. For SELL, this parameter is required.
kycShareTokenProviderstringRequiredDefaults to SUMSUB

Your KYC Shared Token provider. Currently SumSub only supported (The value should be ‘SUMSUB’)

kycShareTokenstringRequired
Your KYC Shared token generated from the SumSub dashboard
partnerCustomerIdstringOptional
Unique id for user provided by partner
partnerOrderIdstringOptional
Unique id for order provided by partner

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error